## org.eclipse.ocl.expressions.impl
Class UnspecifiedValueExpImpl<C>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.expressions.impl.OCLExpressionImpl<C>
                      org.eclipse.ocl.expressions.impl.UnspecifiedValueExpImpl<C>

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, OCLExpression<C>, UnspecifiedValueExp<C>, ASTNode, TypedASTNode, TypedElement<C>, Visitable

    public class UnspecifiedValueExpImpl<C>

extends OCLExpressionImpl<C>
implements UnspecifiedValueExp<C>

An implementation of the model object 'Unspecified Value Exp'.

The following features are implemented:

- `Type Start Position`
- `Type End Position`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static int` `TYPE_END_POSITION_EDEFAULT` The default value of the '`Type End Position`' attribute
`protected static int` `TYPE_START_POSITION_EDEFAULT` The default value of the '`Type Start Position`' attribute
`protected int` `typeEndPosition` The cached value of the '`Type End Position`' attribute
`protected int` `typeStartPosition` The cached value of the '`Type Start Position`' attribute

Fields inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `UnspecifiedValueExpImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getTypeEndPosition()`
`int` `getTypeStartPosition()`
`void` `setTypeEndPosition(int newTypeEndPosition)`
`void` `setTypeStartPosition(int newTypeStartPosition)`
`String` `toString()`

Methods inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`getEndPosition, getName, getStartPosition, getType, setEndPosition, setName, setStartPosition, setType`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TYPE_START_POSITION_EDEFAULT

    protected static final int TYPE_START_POSITION_EDEFAULT

  The default value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`, Constant Field Values

### typeStartPosition

    protected int typeStartPosition

  The cached value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`

### TYPE_END_POSITION_EDEFAULT

    protected static final int TYPE_END_POSITION_EDEFAULT

  The default value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`, Constant Field Values

### typeEndPosition

    protected int typeEndPosition

  The cached value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`

Constructor Detail

### UnspecifiedValueExpImpl

    protected UnspecifiedValueExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `OCLExpressionImpl<C>`

### getTypeStartPosition

    public int getTypeStartPosition()

  Specified by:
    `getTypeStartPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.setTypeStartPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeStartPosition()`

### setTypeStartPosition

    public void setTypeStartPosition(int newTypeStartPosition)

  Specified by:
    `setTypeStartPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeStartPosition` - the new value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.getTypeStartPosition()`

### getTypeEndPosition

    public int getTypeEndPosition()

  Specified by:
    `getTypeEndPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.setTypeEndPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeEndPosition()`

### setTypeEndPosition

    public void setTypeEndPosition(int newTypeEndPosition)

  Specified by:
    `setTypeEndPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeEndPosition` - the new value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.getTypeEndPosition()`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `OCLExpressionImpl<C>`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `OCLExpressionImpl<C>`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `OCLExpressionImpl<C>`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `OCLExpressionImpl<C>`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `OCLExpressionImpl<C>`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `OCLExpressionImpl<C>`

### toString

    public String toString()

  Overrides:
    `toString` in class `OCLExpressionImpl<C>`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Description copied from class: `OCLExpressionImpl`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `OCLExpressionImpl<C>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.